
VIRTUAL CREDIT CARD - Bug #15282

Android [TREATS] [Treats Point] It doesn't update the total treats balance by calling API again

19 December 2022 06:36 PM - hsulynn pang

Status: Closed Start date: 19 December 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Points tab

(7) at the Points tab, click Tambah button with adding product

(8) add another Points product by clicking Tambah button

(9) click Add to Cart button

(10) verify the cart screen (the screen that have Redeem button at bottom)

(11) tick the checkbox, and click Redeem button

(12) input pin

(12) click Selesai button at acknowledgement screen

Actual result: It goes to Treats Redemption screen without update the total treats balance by calling API again

Expected result: It should update the total treats balance by calling API again

History

#1 - 22 December 2022 11:43 AM - Abdul Halim Baharom

- Status changed from New to In Progress

#2 - 22 December 2022 07:18 PM - Abdul Halim Baharom

- Status changed from In Progress to Resolved

#3 - 22 December 2022 10:01 PM - hsulynn pang

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#4 - 22 December 2022 10:12 PM - hsulynn pang

note able to test treats point as Alpabit didn't return product list

#5 - 23 December 2022 09:19 AM - hsulynn pang

- File WhatsApp-Video-2022-12-23-at-091.mp4 added

- File WhatsApp Image 2022-12-23 at 09.16.17.jpeg added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp Video 2022-12-19 at 17.44.56.mp4 2 MB 19 December 2022 hsulynn pang

WhatsApp-Video-2022-12-23-at-091.mp4 2.97 MB 23 December 2022 hsulynn pang
WhatsApp Image 2022-12-23 at 09.16.17.jpeg 71.5 KB 23 December 2022 hsulynn pang
